# sisendi korrektsuse kontrollija

import sys
import re

name = re.compile('^[A-Z]{1,20}$')
mark = re.compile('^[1-5]$')

fi = open(sys.argv[1], 'rt')
fo = open(sys.argv[2], 'wt')

n = int(fi.readline().strip())
if 1 > n or n > 100000:
	sys.exit('N out of range')
fo.write('{0}\n'.format(n))

s = set()
for i in range(n):
	(en, pn, eh, mh, ih) = fi.readline().strip().split()
	if not name.match(en):
		sys.exit('Invalid name on line {0}'.format(2 + i))
	if not name.match(pn):
		sys.exit('Invalid name on line {0}'.format(2 + i))
	if not mark.match(eh):
		sys.exit('Invalid mark on line {0}'.format(2 + i))
	if not mark.match(mh):
		sys.exit('Invalid mark on line {0}'.format(2 + i))
	if not mark.match(ih):
		sys.exit('Invalid mark on line {0}'.format(2 + i))
	if en + ' ' + pn in s:
		sys.exit('Duplicate name on line {0}'.format(2 + i))
	s.add(en + ' ' + pn)
	fo.write('{0} {1} {2} {3} {4}\n'.format(en, pn, eh, mh, ih))

fi.close()
fo.close()
