// efektiivne lahendus kasutades standardteegi andmestruktuuri map
// selle abil seame igale väärtusele vastavusse tema esinemiste arvu
// C++ map on realiseeritud kahendpuuna, kus nii elemendi lisamine kui selle leidmine kulutab log(N) operatsiooni
// kokku kulub N elemendi lisamiseks N*log(N) ja K päringule vastamiseks K*log(N) operatsiooni

#include <fstream>
#include <map>
using namespace std;

ifstream fi("a2sis.txt");
ofstream fo("a2val.txt");

int main() {
	int n, k;
	fi >> n >> k;
	map<int, int> m;
	for (int i = 0; i < n; ++i) {
		int x;
		fi >> x;
		++m[x];
	}
	for (int i = 0; i < k; ++i) {
		int x;
		fi >> x;
		fo << m[x] << '\n';
	}
	return 0;
}
