// naiivne ruutkeerukusega sortimine

#include <fstream>
#include <vector>
#include <string>
using namespace std;

ifstream fi("a1sis.txt");
ofstream fo("a1val.txt");

// õpilase andmed
struct kanne {
	string en, pn;
	int eh, mh, ih;
};

// kahe õpilase võrdlemine vastavalt nõutud järjestusele
bool operator<(const kanne & k1, const kanne & k2) {
	int h1 = k1.eh + k1.mh + k1.ih;
	int h2 = k2.eh + k2.mh + k2.ih;
	if (h1 != h2) {
		// kõrgema hindega õpilane on eespool
		return h1 > h2;
	}
	if (k1.pn != k2.pn) {
		return k1.pn < k2.pn;
	}
	return k1.en < k2.en;
}

int main() {
	int n;
	fi >> n;
	vector<kanne> a(n);
	// loeme kõigi õpilaste andmed
	for (int i = 0; i < n; ++i) {
		fi >> a[i].en >> a[i].pn >> a[i].eh >> a[i].mh >> a[i].ih;
	}
	// sorteerimine õpilased pistemeetodil
	for (int i = 0; i < n; ++i) {
		for (int j = i; j > 0 && a[j] < a[j - 1]; --j) {
			kanne t = a[j]; a[j] = a[j - 1]; a[j - 1] = t;
		}
	}
	// väljasame tulemuse
	for (int i = 0; i < n; ++i) {
		fo << a[i].en << ' ' << a[i].pn << ' ' << a[i].eh << ' ' << a[i].mh << ' ' << a[i].ih << '\n';
	}
	return 0;
}
