// naiivne kahendotsinguga lahendus:
// sorteerime jada
// iga päringu jaoks leiame otsitava väärtuse esimese esinemise kahendotsinguga, milleks kulub log(N) operatsiooni
// siis loendame esinemiste arvu, milleks kulub C operatsiooni
// nii kulub K päringu peale kokku K*log(N) + sum(C) operatsiooni, kus sum(C) on väljastatavate vastuste summa
// see lahendus jääb ajahätta ainult spetsiaalselt koostatud kiuslikes testides, kus mõni väärtus esineb palju kordi ja selle väärtuse kohta esitatakse palju päringuid

#include <fstream>
#include <vector>
#include <algorithm>
using namespace std;

ifstream fi("a2sis.txt");
ofstream fo("a2val.txt");

int main() {
	int n, k;
	fi >> n >> k;
	vector<int> a(n);
	for (int i = 0; i < n; ++i) {
		fi >> a[i];
	}
	sort(a.begin(), a.end());
	for (int i = 0; i < k; ++i) {
		int x;
		fi >> x;
		int c = 0;
		for (auto p = lower_bound(a.begin(), a.end(), x); p != a.end() && *p == x; ++p) {
			++c;
		}
		fo << c << '\n';
	}
	return 0;
}
