// efektiivne kahendotsinguga lahendus:
// sorteerime jada
// iga päringu jaoks leiame kahendotsinguga otsitava väärtuse esimese ja viimase esinemise; esinemiste arv on nende kahe positsiooni vahe
// nii kulub K päringu peale kokku 2*K*log(N) operatsiooni

#include <fstream>
#include <vector>
#include <algorithm>
using namespace std;

ifstream fi("a2sis.txt");
ofstream fo("a2val.txt");

int main() {
	int n, k;
	fi >> n >> k;
	vector<int> a(n);
	for (int i = 0; i < n; ++i) {
		fi >> a[i];
	}
	sort(a.begin(), a.end());
	for (int i = 0; i < k; ++i) {
		int x;
		fi >> x;
		fo << upper_bound(a.begin(), a.end(), x) - lower_bound(a.begin(), a.end(), x) << '\n';
	}
	return 0;
}
